
jQuery(document).ready(function() {

	// make tabs
	if($('body.info').length) {
		$('#info').click(function(){
			if(!$('#info').hasClass('active')) {
				$('#info').addClass('active');
				$('#setup').removeClass('active');
				$('#infobox').addClass('visible');
				$('#setupbox').removeClass('visible');
			}
		});
		$('#setup').click(function(){
			if(!$('#setup').hasClass('active')) {
				$('#setup').addClass('active');
				$('#info').removeClass('active');
				$('#setupbox').addClass('visible');
				$('#infobox').removeClass('visible');
			}
		});
		$('.language_selection p[data-lang="'+configdata.language+'"]').addClass('active');
		$('.layout_selection p[data-layout="'+configdata.layout+'"]').addClass('active');
		$('div.version p').html($('div.version p').html().replace('%s',app.getVersion()));
		// load text
		$('#infobox').load('info_'+configdata.language+'.html');
		$('#musicpathfind').val(configdata.musicpathfind);
		$('#musicpathreplace').val(configdata.musicpathreplace);
		$('#soundpathfind').val(configdata.soundpathfind);
		$('#soundpathreplace').val(configdata.soundpathreplace);
		$('#updatereminderchk').prop('checked',((configdata.updatereminder == 1) ? true : false));
		$('.versioncheckbtn').click(function(){$.fn.rpgaudio_checkversion(true)});
	}
	// config options
	$('.language_selection > .btn').click(function(){
		changeconfig($(this).attr('data-lang'),'language');
	});
	$('.layout_selection > .btn').click(function(){
		changeconfig($(this).attr('data-layout'),'layout');
	});
	$('.path_replace input').change(function(){
		changeconfig($(this).val(),$(this).attr('data-type'));
	});
	$('.updatereminder').change(function(){
		changeconfig((($(this).prop('checked')) ? 1 : 0),'updatereminder');
	});
	$('.resetconfig').click(function(){
		if(confirm(langstrings.resetconfig_confirm)) {
			changeconfig('','',true);
		}
	})
});